// PDFTestDlg.cpp : implementation file
//

#include "stdafx.h"
#include "PDFTest.h"
#include "PDFTestDlg.h"
#include "comutil.h"
#include "CPDF.h"
#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CPDFTestDlg dialog

CPDFTestDlg::CPDFTestDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPDFTestDlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CPDFTestDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_PDF4171, pdfControl);
}

BEGIN_MESSAGE_MAP(CPDFTestDlg, CDialog)
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDOK, OnBnClickedOk)
	
END_MESSAGE_MAP()


// CPDFTestDlg message handlers

BOOL CPDFTestDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here
	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CPDFTestDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CPDFTestDlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

void CPDFTestDlg::OnBnClickedOk()
{
	// TODO: Add your control notification handler code here
	CString strStringToEncode;
	CString strEncodedString;
	BSTR TheBstr;
	short RT;
	RT=0;

	//To use the class, call CoInitialize, this is the MFC COM initialization.
	HRESULT l_Initialize = CoInitialize ( NULL );
	if ( l_Initialize != S_OK )
		TRACE ( "CoInitialize Error\n" );

	//Create the com-class wrapper and link it with the Active-X
	CPDF *pdf = new CPDF();
	if ( !pdf->CreateDispatch ( _T("IDAuto.PDF417.1") ) )
		TRACE ( "Could not start IDAutomation ActiveX (IDAuto.PDF417.1) !\n" );
	
	//get user entered text
	GetDlgItemText(IDC_EDIT1, strStringToEncode);

	//convert string to a BSTR
	TheBstr = strStringToEncode.AllocSysString();
	
	//Call the encoder function.  
	pdf->FontEncode(strStringToEncode,0, 0, 0, 0, 0, 0, &TheBstr);

	//Convert the BSTR back to a CString using the ATL/MFC macro
	strEncodedString = COLE2T(TheBstr);

	SetDlgItemText(IDC_EDIT2, strEncodedString);
	
	
	pdfControl.put_DataToEncode(strStringToEncode);


}



